package com.izouma.awesomeadmin.model;

import com.fasterxml.jackson.annotation.JsonAutoDetect;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.math.BigDecimal;
import java.util.Date;


@JsonAutoDetect
@JsonInclude(JsonInclude.Include.NON_NULL)
public class OrderImage {
    private Integer id;
    private String delFlag;
    private Date updateTime;
    private String updateUser;
    private Date createTime;
    private String createUser;
    private String orderId;
    private String userId;
    private String storeId;
    private String originalImage;
    private BigDecimal originalSize;
    private String finishedImage;
    private BigDecimal finishedSize;
    private String dealUser;
    private Integer statusFlag;

    /**
     * 上传总数量
     */
    private Integer totalNum;

    /**
     * 订单数量
     */
    private Integer orderNum;

    private String imageName;

    private BigDecimal totalSize;

    private String unFinished;

    /**
     * 原片原片
     */
    private String originalArtwork;

    /**
     * 正片原片
     */
    private String finishedArtwork;

    /**
     * 下载标识
     */
    private String downloadFlag;

    /**
     * 清理OSS标识
     */
    private String cleanFlag;

    /**
     * 图片备注
     */
    private String remark;

    /**
     * 返修备注
     */
    private String repairRemark;

    /**
     * 返修详细备注
     */
    private String detailRemark;

    /**
     * 修改备注状态标注
     */
    private String detailRemarkFlag;

    /**
     * 目标返修ID
     */
    private String repairId;

    /**
     * 基础返修ID
     */
    private String baseRepairId;

    private String searchKey;

    /**
     * and,test_name,like,value;or,remark,=,123
     */
    private String advancedQuery;

    /**
     * column_name_,desc_;column_name_,asc
     */
    private String orderByStr;

    public Integer getId() {
        return this.id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getDelFlag() {
        return this.delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public Date getUpdateTime() {
        return this.updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getUpdateUser() {
        return this.updateUser;
    }

    public void setUpdateUser(String updateUser) {
        this.updateUser = updateUser;
    }

    public Date getCreateTime() {
        return this.createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateUser() {
        return this.createUser;
    }

    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    public String getOrderId() {
        return this.orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getUserId() {
        return this.userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getStoreId() {
        return this.storeId;
    }

    public void setStoreId(String storeId) {
        this.storeId = storeId;
    }

    public String getOriginalImage() {
        return this.originalImage;
    }

    public void setOriginalImage(String originalImage) {
        this.originalImage = originalImage;
    }

    public BigDecimal getOriginalSize() {
        return this.originalSize;
    }

    public void setOriginalSize(BigDecimal originalSize) {
        this.originalSize = originalSize;
    }

    public String getFinishedImage() {
        return this.finishedImage;
    }

    public void setFinishedImage(String finishedImage) {
        this.finishedImage = finishedImage;
    }

    public BigDecimal getFinishedSize() {
        return this.finishedSize;
    }

    public void setFinishedSize(BigDecimal finishedSize) {
        this.finishedSize = finishedSize;
    }

    public String getDealUser() {
        return this.dealUser;
    }

    public void setDealUser(String dealUser) {
        this.dealUser = dealUser;
    }

    public Integer getStatusFlag() {
        return this.statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public String getRemark() {
        return this.remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getSearchKey() {
        return searchKey;
    }

    public void setSearchKey(String searchKey) {
        this.searchKey = searchKey;
    }

    public String getAdvancedQuery() {
        return advancedQuery;
    }

    public void setAdvancedQuery(String advancedQuery) {
        this.advancedQuery = advancedQuery;
    }

    public String getOrderByStr() {
        return orderByStr;
    }

    public void setOrderByStr(String orderByStr) {
        this.orderByStr = orderByStr;
    }

    public String getRepairRemark() {
        return repairRemark;
    }

    public void setRepairRemark(String repairRemark) {
        this.repairRemark = repairRemark;
    }

    public String getDetailRemark() {
        return detailRemark;
    }

    public void setDetailRemark(String detailRemark) {
        this.detailRemark = detailRemark;
    }

    public String getRepairId() {
        return repairId;
    }

    public void setRepairId(String repairId) {
        this.repairId = repairId;
    }

    public String getBaseRepairId() {
        return baseRepairId;
    }

    public void setBaseRepairId(String baseRepairId) {
        this.baseRepairId = baseRepairId;
    }

    public String getImageName() {
        return imageName;
    }

    public void setImageName(String imageName) {
        this.imageName = imageName;
    }

    public BigDecimal getTotalSize() {
        return totalSize;
    }

    public void setTotalSize(BigDecimal totalSize) {
        this.totalSize = totalSize;
    }

    public String getUnFinished() {
        return unFinished;
    }

    public void setUnFinished(String unFinished) {
        this.unFinished = unFinished;
    }

    public String getOriginalArtwork() {
        return originalArtwork;
    }

    public void setOriginalArtwork(String originalArtwork) {
        this.originalArtwork = originalArtwork;
    }

    public String getFinishedArtwork() {
        return finishedArtwork;
    }

    public void setFinishedArtwork(String finishedArtwork) {
        this.finishedArtwork = finishedArtwork;
    }

    public String getDownloadFlag() {
        return downloadFlag;
    }

    public void setDownloadFlag(String downloadFlag) {
        this.downloadFlag = downloadFlag;
    }

    public String getCleanFlag() {
        return cleanFlag;
    }

    public void setCleanFlag(String cleanFlag) {
        this.cleanFlag = cleanFlag;
    }

    public String getDetailRemarkFlag() {
        return detailRemarkFlag;
    }

    public void setDetailRemarkFlag(String detailRemarkFlag) {
        this.detailRemarkFlag = detailRemarkFlag;
    }

    public Integer getTotalNum() {
        return totalNum;
    }

    public void setTotalNum(Integer totalNum) {
        this.totalNum = totalNum;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

}

